Get a device

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /device/{deviceId}

Returns one device, including which data types exist on it (availableData), optionally limited to one case or extraction code.

Path parameters

  • deviceId string Required

    Id of the device

Query parameters

  • caseId string

    Scope availability to this case

  • extractionCode string

    Scope availability to this extraction code

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • deviceId string Required
      • serialNumber string Required
      • name string Required
      • type string Required
      • nonDeviceType string | null Required
      • model string Required
      • timeZone string Required
      • osVersion string Required
      • owner object | null Required

        Not loaded by any route, so always null.

      • devicePhoneNumber string Required
      • organizations array[string] Required

        Organization ids

      • extractionCodes array[string] Required

        Extraction code ids

      • availableData object

        Which data types exist for this device (optionally scoped by query filters).

    • statusCode number Required
    • timestamp string(date-time) Required
GET /device/{deviceId}
curl \
 --request GET 'http://api.example.com/device/{deviceId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "deviceId": "3F2504E0-4F89-11D3-9A0C-0305E82C3301",
    "serialNumber": "F2LXK0QJHG7F",
    "name": "Jane's iPhone",
    "type": "ios",
    "nonDeviceType": "string",
    "model": "iPhone 15",
    "timeZone": "America/New_York",
    "osVersion": "18.0",
    "owner": {},
    "devicePhoneNumber": "+15555550100",
    "organizations": [
      "507f1f77bcf86cd799439011"
    ],
    "extractionCodes": [
      "507f1f77bcf86cd799439013"
    ],
    "availableData": {
      "messages": true,
      "calls": false
    }
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}